<?php

declare(strict_types=1);

namespace Apexl\Io\Tabulator\Dtos;

use Apexl\Dto\Dto;
use Apexl\Io\Tabulator\Enums\TabulatorOnRowClickActionName;

final readonly class TabulatorOnRowClickAction extends Dto
{
    public function __construct(
        public TabulatorOnRowClickActionName $action,
        public array $data,
    ) {}
}
